﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>

    <IsPackable>false</IsPackable>
    <GenerateProgramFile>false</GenerateProgramFile>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="NUnit" Version="3.12.0" />
    <PackageReference Include="NUnit3TestAdapter" Version="3.17.0" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.8.0" />
  </ItemGroup>

  <ItemGroup>
    <Compile Include="Contexts.fs" />
    <Compile Include="Dummies.fs" />
    <Compile Include="Field\GetCellTests.fs" />
    <Compile Include="Messages\GetTests.fs" />
    <Compile Include="Messages\SetSizeTests.fs" />
    <Compile Include="Messages\PutTests.fs" />
    <Compile Include="Field\PutCellTests.fs" />
    <Compile Include="Field\SetSizeTests.fs" />
    <Compile Include="Program.fs" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Splorr.Common\Splorr.Common.fsproj" />
    <ProjectReference Include="..\Splorr.Rapscallion.Presentation\Splorr.Rapscallion.Presentation.fsproj" />
    <ProjectReference Include="..\Splorr.Tests.Common\Splorr.Tests.Common.fsproj" />
  </ItemGroup>

</Project>
